Name:          netsurf
Version:       3.11
Release:       %mkrel 2
Summary:       A lightweight web browser with own layout and rendering engine
Group:         Networking/WWW
License:       GPLv2+
URL:           https://www.netsurf-browser.org/
Source0:       https://download.netsurf-browser.org/netsurf/releases/source-full/netsurf-all-%{version}.tar.gz

BuildRequires: perl-HTML-Parser
BuildRequires: flex
BuildRequires: bison
BuildRequires: gperf
BuildRequires: vim-enhanced
BuildRequires: pkgconfig(libpng)
BuildRequires: pkgconfig(libjxl)
BuildRequires: pkgconfig(gtk+-3.0)
BuildRequires: pkgconfig(libcurl)
BuildRequires: pkgconfig(openssl)
BuildRequires: pkgconfig(libjpeg)
BuildRequires: pkgconfig(expat)

%description
NetSurf is a lightweight web browser with own layout and rendering engine.

%prep
%autosetup -p1 -n netsurf-all-%{version}

%build
%set_build_flags
%make_build PREFIX=%{_prefix} TARGET=gtk3

%install
%make_install INSTALL_ROOT=%{buildroot} PREFIX=%{_prefix} TARGET=gtk3

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Netsurf
Comment=NetSurf is a lightweight Web-browser
Exec=netsurf-gtk3 %U
Icon=networking_www_section
Terminal=false
Type=Application
Categories=Network;WebBrowser;
EOF

%files
%doc ChangeLog.md README.md
%{_bindir}/netsurf-gtk3
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop


%changelog
* Sun Jun 22 2025 daviddavid <daviddavid> 3.11-2.mga10
+ Revision: 2193992
- rebuild for new libjxl 0.11.1

* Fri Jul 05 2024 daviddavid <daviddavid> 3.11-1.mga10
+ Revision: 2080002
- new version: 3.11
- switch to gtk3
- enable libjxl support

* Mon Mar 28 2022 umeabot <umeabot> 3.10-3.mga9
+ Revision: 1830503
- Mageia 9 Mass Rebuild

* Sat Oct 02 2021 wally <wally> 3.10-2.mga9
+ Revision: 1747550
- rebuild for openssl 3.0.0

* Thu Oct 29 2020 joequant <joequant> 3.10-1.mga8
+ Revision: 1640464
- sync source
- update to 3.10

* Sat Feb 15 2020 umeabot <umeabot> 3.8-2.mga8
+ Revision: 1524088
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%setup_compile_flags

* Tue Mar 26 2019 daviddavid <daviddavid> 3.8-1.mga7
+ Revision: 1380247
- new version: 3.8

* Sun Sep 23 2018 umeabot <umeabot> 3.7-2.mga7
+ Revision: 1299719
- Mageia 7 Mass Rebuild

* Fri Dec 22 2017 semiletov <semiletov> 3.7-1.mga7
+ Revision: 1183986
- spec fixes
- fixes to spec
- hardcoded desktop file removed
- imported package netsurf

